cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/settings/custom_logic_scripts/211b2c3d4e5f4a6b8c7d9e0f1a2b3c4d" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"custom_logic_script": {
"description": "Checks the account's credit before an order"
}
}'from exsited import build_client
client = build_client()
response = client.settings.update_settings_custom_logic_script(
"211b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
{
"custom_logic_script": {
"description": "Checks the account's credit before an order"
}
},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.settings.updateSettingsCustomLogicScript('211b2c3d4e5f4a6b8c7d9e0f1a2b3c4d', {
custom_logic_script: {description: "Checks the account's credit before an order"},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->settings->updateSettingsCustomLogicScript('211b2c3d4e5f4a6b8c7d9e0f1a2b3c4d', [
'custom_logic_script' => ['description' => 'Checks the account\'s credit before an order'],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.settings.settings_dto.SettingsDto.SettingsCustomLogicScriptSaved;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsCustomLogicScriptSaved> response = client.settings().updateSettingsCustomLogicScript(
"211b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
Map.of(
"custom_logic_script", Map.of(
"description", "Checks the account's credit before an order")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Settings.UpdateSettingsCustomLogicScriptAsync(
"211b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
new Dictionary<string, object?>
{
["custom_logic_script"] = new Dictionary<string, object?>
{
["description"] = "Checks the account's credit before an order",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.settings.updateSettingsCustomLogicScript(
'211b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
{
'custom_logic_script': {
'description': 'Checks the account\'s credit before an order',
},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Settings().UpdateSettingsCustomLogicScript(context.Background(), "211b2c3d4e5f4a6b8c7d9e0f1a2b3c4d", map[string]any{
"custom_logic_script": map[string]any{
"description": "Checks the account's credit before an order",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"custom_logic_script": {
"action_name": "<string>",
"created_by": "<unknown>",
"created_on": "<string>",
"description": "<unknown>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"object_name": "<string>",
"status": "<string>",
"type": "<string>",
"code": "<unknown>"
}
}Instance settings
Update a custom logic script
Changes the fields you send on a custom logic script and returns it under custom_logic_script.
PATCH
/
settings
/
custom_logic_scripts
/
{custom_logic_script_id}
cURL
curl -X PATCH "$EXSITED_BASE_URL/api/v4/settings/custom_logic_scripts/211b2c3d4e5f4a6b8c7d9e0f1a2b3c4d" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"custom_logic_script": {
"description": "Checks the account's credit before an order"
}
}'from exsited import build_client
client = build_client()
response = client.settings.update_settings_custom_logic_script(
"211b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
{
"custom_logic_script": {
"description": "Checks the account's credit before an order"
}
},
)
print(response.data)
import {buildClient} from 'exsited';
const client = await buildClient();
const response = await client.settings.updateSettingsCustomLogicScript('211b2c3d4e5f4a6b8c7d9e0f1a2b3c4d', {
custom_logic_script: {description: "Checks the account's credit before an order"},
});
console.log(response.data);
use Exsited\Client\ClientRegistry;
$client = ClientRegistry::buildClient();
$response = $client->settings->updateSettingsCustomLogicScript('211b2c3d4e5f4a6b8c7d9e0f1a2b3c4d', [
'custom_logic_script' => ['description' => 'Checks the account\'s credit before an order'],
]);
print_r($response->data);
import com.exsited.client.ApiResponse;
import com.exsited.client.ClientRegistry;
import com.exsited.client.ExsitedClient;
import com.exsited.resources.settings.settings_dto.SettingsDto.SettingsCustomLogicScriptSaved;
import java.util.Map;
ExsitedClient client = ClientRegistry.buildClient();
ApiResponse<SettingsCustomLogicScriptSaved> response = client.settings().updateSettingsCustomLogicScript(
"211b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
Map.of(
"custom_logic_script", Map.of(
"description", "Checks the account's credit before an order")));
System.out.println(response.getMap());
using Exsited.Client;
await using var client = ExsitedClient.BuildClient();
var response = await client.Settings.UpdateSettingsCustomLogicScriptAsync(
"211b2c3d4e5f4a6b8c7d9e0f1a2b3c4d",
new Dictionary<string, object?>
{
["custom_logic_script"] = new Dictionary<string, object?>
{
["description"] = "Checks the account's credit before an order",
},
});
Console.WriteLine(response.Json);
import 'package:exsited/exsited.dart';
final client = buildClient();
final response = await client.settings.updateSettingsCustomLogicScript(
'211b2c3d4e5f4a6b8c7d9e0f1a2b3c4d',
{
'custom_logic_script': {
'description': 'Checks the account\'s credit before an order',
},
},
);
print(response.map);
import (
"context"
"fmt"
"log"
exsited "github.com/exsited/exsited-sdk-go/v4"
)
client, err := exsited.BuildClient(nil)
if err != nil {
log.Fatal(err)
}
defer client.Close()
response, err := client.Settings().UpdateSettingsCustomLogicScript(context.Background(), "211b2c3d4e5f4a6b8c7d9e0f1a2b3c4d", map[string]any{
"custom_logic_script": map[string]any{
"description": "Checks the account's credit before an order",
},
}, nil)
if err != nil {
log.Fatal(err)
}
fmt.Println(response.Map)
{
"custom_logic_script": {
"action_name": "<string>",
"created_by": "<unknown>",
"created_on": "<string>",
"description": "<unknown>",
"display_name": "<string>",
"href": "<string>",
"id": "<string>",
"last_updated_by": "<unknown>",
"last_updated_on": "<string>",
"name": "<string>",
"object": "<string>",
"object_name": "<string>",
"status": "<string>",
"type": "<string>",
"code": "<unknown>"
}
}Send the fields to change under
custom_logic_script, such as description. code is refused.
The SDK samples get their client from credentials your app registers once when it starts, as shown in Authentication. To try the call here, click Try it, set
host to your Exsited API host name and paste an access token from Get an access token. To send a raw JSON body instead of filling in fields, copy the cURL sample and edit its -d payload.Authorizations
An access token from POST /api/v4/oauth2/token. The SDKs get and renew it for you.
Path Parameters
The custom logic script's id, as a listing or a create returns it.
Body
application/json
Show child attributes
Show child attributes
Response
200 - application/json
The updated custom logic script, under custom_logic_script.
Show child attributes
Show child attributes